<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_0ee0a25025d73f86" . "93a4bb37a3c298ac" => base64_decode("Y2hlY2tlZF9" . "pbl9ieQ=="), "_d5ebf376f635" . "c188ec6581360" . "8e6ece5" => base64_decode("bmV3X3Zlcn" . "Npb24="), "_6e38cb9e043a07cd6" . "9a1711a6704c62a" => base64_decode("cGFyZW50X2l" . "k"));
use Claromentis\Core\Event\GenericEvent;


class CheckinDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetCheckedInBy()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_0ee0a25025d73f8693a4bb37a3" . "c298ac"]);
    }
    
    
    public function GetNewVersion()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_d5ebf376f635c188ec658" . "13608e6ece5"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_6e38cb9e043a07cd69a1711a670" . "4c62a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}